﻿using System;
using System.Linq;
using System.Activities;
using System.Activities.Statements;
using System.ServiceModel;
using System.ServiceModel.Activities;
using System.ServiceModel.Description;
using System.Xml.Linq;
using System.ServiceModel.Channels;


namespace CustomerSupport
{

    class Program
    {
        static void Main(string[] args)
        {
            string baseAddress = "http://localhost:8081/CustomerService";
            using (WorkflowServiceHost shost = new WorkflowServiceHost(new Activity1(), new Uri(baseAddress)))
            {
                shost.Description.Behaviors.Add(new ServiceMetadataBehavior() {HttpGetEnabled = true });
                shost.Open();
                Console.WriteLine("CustomerService is listening @ " + baseAddress);
                Console.ReadLine();
            }
            
        }
    }
}
